<ion-content>
    <ion-toolbar>
        <ion-buttons slot="start">
            <ion-menu-button></ion-menu-button>
        </ion-buttons>
        <ion-item>
            <ion-label>{{ 'Home' | translate }} >> {{ 'Complaints' | translate }}</ion-label>
        </ion-item>
    </ion-toolbar>
    <ion-refresher slot="fixed" (ionRefresh)="onRefresh($event)">
        <ion-refresher-content pullingIcon="arrow-down" refreshingSpinner="circles">
        </ion-refresher-content>
    </ion-refresher>

    <ion-button (click)="addComplaint()" expand="block">
        {{ 'Add Complaint' | translate }}
    </ion-button>
    <div *ngIf="!this.cache?.isLoading">
        <ion-list *ngFor="let complaint of this.cache?.objects">
            <ion-card [routerLink]="['/resident/resident-complaints/update-complaint',complaint.id]">
                <ion-item>
                    <ion-label>
                        <ion-icon name="alert"></ion-icon>
                        {{complaint.title}}
                    </ion-label>
                    <ion-icon end *ngIf="complaint.unRead" name="mail-unread"></ion-icon>
                </ion-item>
                <ion-card-content>
                    <ion-grid>
                        <ion-row>
                            <ion-text readonly>
                                <ion-icon name="list-circle"></ion-icon>
                                {{complaint.description}}
                            </ion-text>
                        </ion-row>
                        <ion-row>
                            <ion-label>
                                <ion-icon name="time"></ion-icon>
                                {{complaint.priority}}
                            </ion-label>
                        </ion-row>
                        <ion-row>
                            <ion-chip color="success" *ngIf="complaint.status === 'Resolved'">
                                <ion-icon name="checkmark"></ion-icon>
                                <ion-label>{{ 'Resolved' | translate }}</ion-label>
                            </ion-chip>
                            <ion-chip color="warning" *ngIf="complaint.status === 'Deferred'">
                                <ion-icon name="hand"></ion-icon>
                                <ion-label>{{ 'Deferred' | translate }}</ion-label>
                            </ion-chip>
                            <ion-chip color="primary" *ngIf="complaint.status === 'Pending'">
                                <ion-icon name="stopwatch"></ion-icon>
                                <ion-label>{{ 'Pending' | translate }}</ion-label>
                            </ion-chip>
                        </ion-row>
                    </ion-grid>
                </ion-card-content>
            </ion-card>
        </ion-list>
        <ion-card *ngIf="!this.cache?.isLoading && this.cache?.objects?.length==0">
            <ion-item>
                <ion-label>{{ 'No records found!!!' | translate }}</ion-label>
            </ion-item>
        </ion-card>
        <ion-infinite-scroll threshold="100px" (ionInfinite)="loadNext($event)">
            <ion-infinite-scroll-content loadingSpinner="bubbles" loadingText="Loading ...">
            </ion-infinite-scroll-content>
        </ion-infinite-scroll>
    </div>

    <ion-card *ngIf="this.cache?.isLoading && this.cache?.objects.length==0">
        <ion-card-header>
            <ion-card-title>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-title>
            <ion-card-subtitle>
                <ion-skeleton-text animated></ion-skeleton-text>
            </ion-card-subtitle>
        </ion-card-header>

        <ion-card-content>
            <ion-item>
                <ion-label>
                    <ion-skeleton-text animated></ion-skeleton-text>
                </ion-label>
            </ion-item>
            <div>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
                <ion-skeleton-text animated></ion-skeleton-text>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>